import greenfoot.*; 

/**
 * De grotwereld
 */
public class Grot extends World {

    private Punten punten;

    private int teller; // telt af toddat een nieuw paar stekels moet aangemaakt worden

    public Grot() {    
        super(520, 400, 1); 
        Greenfoot.setSpeed(35); 

        addObject (new LevendeVleermuis(), 260, 200);

        this.punten = new Punten();
        addObject (punten, 260, 12);

        this.teller = 0;

    }

    /**
     * Plaats een nieuw paar stekels aan de rechterkant van het scherm.
     */
    public void nieuwPaarStekels() {
        int nr = Greenfoot.getRandomNumber(12) + 1;

        Onderstekel onder = new Onderstekel(nr, punten);
        addObject (onder, 800, onder.getMiddelpuntY());
        Bovenstekel boven = new Bovenstekel(nr);
        addObject (boven, 800, boven.getMiddelpuntY());
    }

    /**
     * Tel af totdat er een nieuw paar stekels moet geplaatst worden.
     */
    public void act() {
        if (teller <= 0) {
            nieuwPaarStekels();
            teller = Greenfoot.getRandomNumber(40) + 50;
        } else {
            teller --;
        }
    }
}
